## gnome-shell-extension-kimpanel 0~20180923

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(kimpanel-for-gnome-shell NONE)

find_package(Gettext REQUIRED)
find_program(ZIP zip)
find_program(UNZIP unzip)

if (NOT ZIP)
    message(FATAL_ERROR "zip not found")
endif (NOT ZIP)
if (NOT UNZIP)
    message(FATAL_ERROR "unzip not found")
endif (NOT UNZIP)

add_subdirectory(po)

set(uuid "kimpanel@kde.org")
set(datadir "${CMAKE_INSTALL_PREFIX}/share")
set(topextensiondir "${datadir}/gnome-shell/extensions")
set(extensiondir "${topextensiondir}/${uuid}")
set(localextensiondir "$ENV{HOME}/.local/share/gnome-shell/extensions/${uuid}")
set(localedir "${datadir}/locale")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/metadata.json.in ${CMAKE_CURRENT_BINARY_DIR}/metadata.json @ONLY)

set(extension_FILES
    extension.js
    indicator.js
    panel.js
    menu.js
    lib.js
    convenience.js
    boxpointer.js
    prefs.js
    ${CMAKE_CURRENT_BINARY_DIR}/metadata.json
    stylesheet.css
)

set(schema_FILES
    schemas/org.gnome.shell.extensions.kimpanel.gschema.xml
    schemas/gschemas.compiled
    )

install(FILES ${extension_FILES} DESTINATION ${extensiondir})
install(FILES ${schema_FILES} DESTINATION ${extensiondir}/schemas)

add_custom_command(OUTPUT "${uuid}.zip"
    COMMAND ${CMAKE_COMMAND} -E remove_directory "${CMAKE_CURRENT_BINARY_DIR}/_build"
    COMMAND ${CMAKE_COMMAND} -E make_directory "${CMAKE_CURRENT_BINARY_DIR}/_build"
    COMMAND ${CMAKE_MAKE_PROGRAM} install DESTDIR="${CMAKE_CURRENT_BINARY_DIR}/_build"
    COMMAND ${CMAKE_COMMAND} -E copy_directory "${CMAKE_CURRENT_BINARY_DIR}/_build/${extensiondir}" "${CMAKE_CURRENT_BINARY_DIR}/_build/${uuid}/"
    COMMAND ${CMAKE_COMMAND} -E copy_directory "${CMAKE_CURRENT_BINARY_DIR}/_build/${datadir}/locale" "${CMAKE_CURRENT_BINARY_DIR}/_build/${uuid}/locale"
    COMMAND cd "${CMAKE_CURRENT_BINARY_DIR}/_build/${uuid}" && ${ZIP} -qr "${CMAKE_CURRENT_BINARY_DIR}/${uuid}.zip" .
)

add_custom_target(install-zip
    DEPENDS ${uuid}.zip
    COMMAND ${CMAKE_COMMAND} -E make_directory "${localextensiondir}"
    COMMAND ${UNZIP} -o "${CMAKE_CURRENT_BINARY_DIR}/${uuid}.zip" -d "${localextensiondir}"
)

add_custom_target(uninstall-zip
    COMMAND ${CMAKE_COMMAND} -E remove_directory "${localextensiondir}"
)

=== debian/changelog ===
gnome-shell-extension-kimpanel (0~20180923-2) unstable; urgency=medium

  * debian/control:
    + Add missing dependency fcitx-module-kimpanel.
    + Build-depend on debhelper-compat (= 12) instead of using
      debian/compat file.
    + Bump Standards-Version to 4.3.0 (no changes needed).

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Jan 2019 20:40:42 -0500

gnome-shell-extension-kimpanel (0~20180923-1) unstable; urgency=medium

  * New upstream git snapshot 20180923.
  * debian/patches: Drop all patches, merged upstream.

 -- Boyuan Yang <byang@debian.org>  Thu, 22 Nov 2018 19:27:30 -0500

gnome-shell-extension-kimpanel (0~20171208-1) unstable; urgency=medium

  * Initial release (Closes: #883474)

 -- Boyuan Yang <byang@debian.org>  Fri, 14 Sep 2018 16:42:11 -0400

=== debian/control ===
Source: gnome-shell-extension-kimpanel
Section: gnome
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 gettext,
 unzip,
 zip,
Standards-Version: 4.3.0
Homepage: https://github.com/wengxt/kimpanel-for-gnome-shell
Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-kimpanel.git
Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-kimpanel

Package: gnome-shell-extension-kimpanel
Architecture: all
Depends:
 fcitx,
 fcitx-module-kimpanel,
 gnome-shell (>= 3.16),
 ${misc:Depends},
Description: KDE kimpanel protocol extension for GNOME shell
 Kimpanel extension acts as a KDE Kimpanel protocol implementation under
 GNOME to provide a unified frontend look for fcitx input method on GNOME
 shell.
 .
 It provides a native pop-up window for input method word listing and a
 user-friendly tray-like icon for user to interact with fcitx.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gnome-shell-extension-kimpanel-$1.tar.gz%" \
 https://github.com/wengxt/kimpanel-for-gnome-shell/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## gnome-shell-extension-kimpanel 0~20190327.71fe013

=== debian/changelog ===
gnome-shell-extension-kimpanel (0~20190327.71fe013-1) unstable; urgency=medium

  * New upstream git snapshot.
    + Fix compatibility with GNOME 3.32.
  * debian/watch: Monitor upstream git HEAD.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
    + Bump debhelper compat to v12.

 -- Boyuan Yang <byang@debian.org>  Fri, 22 Nov 2019 13:24:04 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
  gettext,
  unzip,
  zip,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
+Rules-Requires-Root: no
 Homepage: https://github.com/wengxt/kimpanel-for-gnome-shell
 Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-kimpanel.git
 Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-kimpanel

## gnome-shell-extension-kimpanel 0~20200310.45dc4e4

=== CMakeLists.txt ===
--- 
+++ 
@@ -30,8 +30,6 @@
     panel.js
     menu.js
     lib.js
-    convenience.js
-    boxpointer.js
     prefs.js
     ${CMAKE_CURRENT_BINARY_DIR}/metadata.json
     stylesheet.css

=== debian/changelog ===
gnome-shell-extension-kimpanel (0~20200310.45dc4e4-1) unstable; urgency=medium

  * New upstream snapshot.
    + Add compatibility with GNOME 3.36.
  * debian/copyright: Refresh year information.

 -- Boyuan Yang <byang@debian.org>  Wed, 11 Mar 2020 14:00:55 -0400

gnome-shell-extension-kimpanel (0~20190327.71fe013-2) unstable; urgency=medium

  * Rebuild for Ubuntu 20.04 LTS.
  * debian/control:
    + Mark gnome-shell-extension-kimpanel to be compatible with both
      fcitx and fcitx5.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Feb 2020 11:22:13 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  gettext,
  unzip,
  zip,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/wengxt/kimpanel-for-gnome-shell
 Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-kimpanel.git
@@ -19,8 +19,8 @@
 Package: gnome-shell-extension-kimpanel
 Architecture: all
 Depends:
- fcitx,
- fcitx-module-kimpanel,
+ fcitx | fcitx5,
+ fcitx-module-kimpanel | fcitx5-module-kimpanel,
  gnome-shell (>= 3.16),
  ${misc:Depends},
 Description: KDE kimpanel protocol extension for GNOME shell

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0~%cd.%h" \
 https://github.com/wengxt/kimpanel-for-gnome-shell.git \
 HEAD debian uupdate

## gnome-shell-extension-kimpanel 0~20200816.fa83c86

=== debian/changelog ===
gnome-shell-extension-kimpanel (0~20200816.fa83c86-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Tue, 18 Aug 2020 15:07:39 -0400

gnome-shell-extension-kimpanel (0~20200310.45dc4e4-2) unstable; urgency=medium

  * Backport upstream git HEAD till 2020-04-13.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Apr 2020 23:36:53 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  gettext,
  unzip,
  zip,

## gnome-shell-extension-kimpanel 0.0~git20201013.dcbca17

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,12 +44,17 @@
 install(FILES ${schema_FILES} DESTINATION ${extensiondir}/schemas)
 
 add_custom_command(OUTPUT "${uuid}.zip"
+    DEPENDS ${extension_FILES} ${schema_FILES}
     COMMAND ${CMAKE_COMMAND} -E remove_directory "${CMAKE_CURRENT_BINARY_DIR}/_build"
     COMMAND ${CMAKE_COMMAND} -E make_directory "${CMAKE_CURRENT_BINARY_DIR}/_build"
     COMMAND ${CMAKE_MAKE_PROGRAM} install DESTDIR="${CMAKE_CURRENT_BINARY_DIR}/_build"
     COMMAND ${CMAKE_COMMAND} -E copy_directory "${CMAKE_CURRENT_BINARY_DIR}/_build/${extensiondir}" "${CMAKE_CURRENT_BINARY_DIR}/_build/${uuid}/"
     COMMAND ${CMAKE_COMMAND} -E copy_directory "${CMAKE_CURRENT_BINARY_DIR}/_build/${datadir}/locale" "${CMAKE_CURRENT_BINARY_DIR}/_build/${uuid}/locale"
     COMMAND cd "${CMAKE_CURRENT_BINARY_DIR}/_build/${uuid}" && ${ZIP} -qr "${CMAKE_CURRENT_BINARY_DIR}/${uuid}.zip" .
+)
+
+add_custom_target(build-zip
+    DEPENDS ${uuid}.zip
 )
 
 add_custom_target(install-zip

=== debian/changelog ===
gnome-shell-extension-kimpanel (0.0~git20201013.dcbca17-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
    Fix compatibility with gnome 3.38

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 10 Nov 2020 22:27:37 +0800

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 Depends:
  fcitx | fcitx5,
  fcitx-module-kimpanel | fcitx5-module-kimpanel,
- gnome-shell (>= 3.16),
+ gnome-shell (>= 3.38),
  ${misc:Depends},
 Description: KDE kimpanel protocol extension for GNOME shell
  Kimpanel extension acts as a KDE Kimpanel protocol implementation under

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,3 @@
 
 %:
 	dh $@
-
-override_dh_missing:
-	dh_missing --fail-missing

## gnome-shell-extension-kimpanel 0.0~git20210416.63a7e00+gnome40

=== debian/changelog ===
gnome-shell-extension-kimpanel (0.0~git20210416.63a7e00+gnome40-1~exp1) experimental; urgency=medium

  * New upstream snapshot from gnome40 branch.
  * debian/control: Make binary package breaks gnome-shell (<< 40~).

 -- Boyuan Yang <byang@debian.org>  Wed, 18 Aug 2021 12:15:09 -0400

gnome-shell-extension-kimpanel (0.0~git20210326.fd6d6ce-1) unstable; urgency=medium

  * New upstream snapshot from gnome38 branch.
  * debian/control: Make binary package breaks gnome-shell (>= 40~).
  * debian/control: 
    + Bump Standards-Version to 4.6.0 (no changes needed).

 -- Boyuan Yang <byang@debian.org>  Wed, 18 Aug 2021 12:06:05 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  gettext,
  unzip,
  zip,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/wengxt/kimpanel-for-gnome-shell
 Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-kimpanel.git
@@ -21,8 +21,9 @@
 Depends:
  fcitx | fcitx5,
  fcitx-module-kimpanel | fcitx5-module-kimpanel,
- gnome-shell (>= 3.38),
  ${misc:Depends},
+Breaks:
+ gnome-shell (<< 40~),
 Description: KDE kimpanel protocol extension for GNOME shell
  Kimpanel extension acts as a KDE Kimpanel protocol implementation under
  GNOME to provide a unified frontend look for fcitx input method on GNOME

## gnome-shell-extension-kimpanel 0.0~git20210830.f46e734

=== debian/changelog ===
gnome-shell-extension-kimpanel (0.0~git20210830.f46e734-1) unstable; urgency=medium

  * New upstream snapshot.
  * Upload to unstable.
  * debian/control: Update project homepage.

 -- Boyuan Yang <byang@debian.org>  Sun, 12 Sep 2021 00:03:50 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  zip,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Homepage: https://github.com/wengxt/kimpanel-for-gnome-shell
+Homepage: https://github.com/wengxt/gnome-shell-extension-kimpanel
 Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-kimpanel.git
 Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-kimpanel

## gnome-shell-extension-kimpanel 0.0~git20220301.a85e68d

=== debian/changelog ===
gnome-shell-extension-kimpanel (0.0~git20220301.a85e68d-1) unstable; urgency=medium

  * New upstream snapshot. 

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Mar 2022 20:22:38 -0400

gnome-shell-extension-kimpanel (0.0~git20220115.aae13d5-1) unstable; urgency=medium

  * New upstream snapshot. 

 -- Boyuan Yang <byang@debian.org>  Sun, 16 Jan 2022 23:08:55 -0500

gnome-shell-extension-kimpanel (0.0~git20211103.5b97eb9-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Wed, 17 Nov 2021 14:12:24 -0500

gnome-shell-extension-kimpanel (0.0~git20211010.afd5aab-1) unstable; urgency=medium

  * New upstream snapshot.
  * Add compatibility with GNOME 41.

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Oct 2021 14:38:33 -0400

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
 Package: gnome-shell-extension-kimpanel
 Architecture: all
 Depends:
- fcitx | fcitx5,
- fcitx-module-kimpanel | fcitx5-module-kimpanel,
+ fcitx5 | fcitx,
+ fcitx5-module-kimpanel | fcitx-module-kimpanel,
  ${misc:Depends},
 Breaks:
  gnome-shell (<< 40~),

## gnome-shell-extension-kimpanel 0.0~git20220902.c11f1a6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8.12)
 
 project(kimpanel-for-gnome-shell NONE)

=== debian/changelog ===
gnome-shell-extension-kimpanel (0.0~git20220902.c11f1a6-1) unstable; urgency=medium

  * New upstream snapshot.
    + Add support for GNOME 43. (Closes: #1018272)

 -- Boyuan Yang <byang@debian.org>  Mon, 05 Sep 2022 16:13:29 -0400

gnome-shell-extension-kimpanel (0.0~git20220602.3318bdf-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Tue, 07 Jun 2022 20:46:19 -0400

gnome-shell-extension-kimpanel (0.0~git20220523.15e928b-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Sat, 28 May 2022 00:28:10 -0400

gnome-shell-extension-kimpanel (0.0~git20220324.4502fe5-2) unstable; urgency=medium

  * debian/control: Explicitly depends on versioned gnome-shell package.
    (Closes: #1008552)

 -- Boyuan Yang <byang@debian.org>  Mon, 28 Mar 2022 11:33:12 -0400

gnome-shell-extension-kimpanel (0.0~git20220324.4502fe5-1) unstable; urgency=medium

  * New upstream snapshot.
    + Add support for GNOME 42.

 -- Boyuan Yang <byang@debian.org>  Fri, 25 Mar 2022 17:26:15 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  gettext,
  unzip,
  zip,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/wengxt/gnome-shell-extension-kimpanel
 Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-kimpanel.git
@@ -21,9 +21,9 @@
 Depends:
  fcitx5 | fcitx,
  fcitx5-module-kimpanel | fcitx-module-kimpanel,
+ gnome-shell (>= 40~),
+ gnome-shell (<< 44~),
  ${misc:Depends},
-Breaks:
- gnome-shell (<< 40~),
 Description: KDE kimpanel protocol extension for GNOME shell
  Kimpanel extension acts as a KDE Kimpanel protocol implementation under
  GNOME to provide a unified frontend look for fcitx input method on GNOME

## gnome-shell-extension-kimpanel 0.0~git20230412.78f27b6

=== debian/changelog ===
gnome-shell-extension-kimpanel (0.0~git20230412.78f27b6-2) unstable; urgency=medium

  * debian/source/options: Ignore difference in .po files when doing double
    build. (Closes: #1044998)

 -- Boyuan Yang <byang@debian.org>  Sat, 19 Aug 2023 17:48:28 -0400

gnome-shell-extension-kimpanel (0.0~git20230412.78f27b6-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 11 Jun 2023 16:49:49 -0400

gnome-shell-extension-kimpanel (0.0~git20230402.b8e396c-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Boyuan Yang ]
  * New upstream release.
  * debian/control: Mark as compatible with GNOME 44.

 -- Boyuan Yang <byang@debian.org>  Tue, 04 Apr 2023 10:41:48 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  gettext,
  unzip,
  zip,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/wengxt/gnome-shell-extension-kimpanel
 Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-kimpanel.git
@@ -22,7 +22,7 @@
  fcitx5 | fcitx,
  fcitx5-module-kimpanel | fcitx-module-kimpanel,
  gnome-shell (>= 40~),
- gnome-shell (<< 44~),
+ gnome-shell (<< 45~),
  ${misc:Depends},
 Description: KDE kimpanel protocol extension for GNOME shell
  Kimpanel extension acts as a KDE Kimpanel protocol implementation under

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
 https://github.com/wengxt/kimpanel-for-gnome-shell \
 HEAD debian

## gnome-shell-extension-kimpanel 0.0~git20250111.264c054

=== debian/changelog ===
gnome-shell-extension-kimpanel (0.0~git20250111.264c054-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Jan 2025 17:48:43 -0500

gnome-shell-extension-kimpanel (0.0~git20241015.4d5ab58-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 15 Oct 2024 13:15:55 -0400

gnome-shell-extension-kimpanel (0.0~git20240913.7c7cbfd-2) unstable; urgency=medium

  * Backport upstream patches till 2024-09-25.
  * debian/control: Limit gnome-shell version requirement to 47 only.

 -- Boyuan Yang <byang@debian.org>  Thu, 26 Sep 2024 19:11:48 -0400

gnome-shell-extension-kimpanel (0.0~git20240913.7c7cbfd-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/control: Update supported GNOME Shell version. (Closes: #1079253)

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Sep 2024 09:59:55 -0400

gnome-shell-extension-kimpanel (0.0~git20240513.9a7c460-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/control: Mark the supported GNOME Shell version to be 45 and 46.

 -- Boyuan Yang <byang@debian.org>  Fri, 12 Jul 2024 20:15:04 -0400

gnome-shell-extension-kimpanel (0.0~git20240317.really.20230412-1) unstable; urgency=medium

  * Revert to the latest snapshot that works with GNOME 44. The previous GNOME 45+
    version was accidentally uploaded to Debian Unstable.

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Apr 2024 15:31:29 -0400

gnome-shell-extension-kimpanel (0.0~git20240316.78aa467-1) unstable; urgency=medium

  * New upstream snapshot.
    + Support GNOME 45 and GNOME 46.

 -- Boyuan Yang <byang@debian.org>  Fri, 22 Mar 2024 09:27:08 -0400

gnome-shell-extension-kimpanel (0.0~git20230922.b738cb0-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Sun, 01 Oct 2023 09:42:44 -0400

gnome-shell-extension-kimpanel (0.0~git20230826.d3dc067-1) experimental; urgency=medium

  * New upstream snapshot.
  * debian/control: Indicate that this version is only compatible with
    GNOME 45.

 -- Boyuan Yang <byang@debian.org>  Mon, 28 Aug 2023 19:52:46 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  gettext,
  unzip,
  zip,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/wengxt/gnome-shell-extension-kimpanel
 Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-kimpanel.git
@@ -21,8 +21,8 @@
 Depends:
  fcitx5 | fcitx,
  fcitx5-module-kimpanel | fcitx-module-kimpanel,
- gnome-shell (>= 40~),
- gnome-shell (<< 45~),
+ gnome-shell (>= 47~),
+ gnome-shell (<< 48~),
  ${misc:Depends},
 Description: KDE kimpanel protocol extension for GNOME shell
  Kimpanel extension acts as a KDE Kimpanel protocol implementation under

## gnome-shell-extension-kimpanel 0.0~git20250216.9f78577

=== debian/changelog ===
gnome-shell-extension-kimpanel (0.0~git20250216.9f78577-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Sat, 22 Mar 2025 14:13:40 -0400

gnome-shell-extension-kimpanel (0.0~git20250216.2df2c37-1) unstable; urgency=medium

  * New upstream release.
  * Support GNOME 48. (Closes: #1096052)

 -- Boyuan Yang <byang@debian.org>  Sun, 16 Feb 2025 15:23:55 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  gettext,
  unzip,
  zip,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/wengxt/gnome-shell-extension-kimpanel
 Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-kimpanel.git
@@ -21,8 +21,8 @@
 Depends:
  fcitx5 | fcitx,
  fcitx5-module-kimpanel | fcitx-module-kimpanel,
- gnome-shell (>= 47~),
- gnome-shell (<< 48~),
+ gnome-shell (>= 48~),
+ gnome-shell (<< 49~),
  ${misc:Depends},
 Description: KDE kimpanel protocol extension for GNOME shell
  Kimpanel extension acts as a KDE Kimpanel protocol implementation under

## gnome-shell-extension-kimpanel 0.0~git20250408.dee6a53

=== debian/changelog ===
gnome-shell-extension-kimpanel (0.0~git20250408.dee6a53-1) unstable; urgency=medium

  * New upstream snapshot.

  [ Jeremy Bicha ]
  * debian/rules: Automatically update supported GNOME Shell versions by
    parsing metadata.json.

 -- Boyuan Yang <byang@debian.org>  Sat, 12 Apr 2025 20:26:35 -0400

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  cmake,
  debhelper-compat (= 13),
  gettext,
+ python3,
  unzip,
  zip,
 Standards-Version: 4.7.2
@@ -21,8 +22,8 @@
 Depends:
  fcitx5 | fcitx,
  fcitx5-module-kimpanel | fcitx-module-kimpanel,
- gnome-shell (>= 48~),
- gnome-shell (<< 49~),
+ gnome-shell (>= ${gnome:MinimumVersion}~),
+ gnome-shell (<< ${gnome:MaximumVersion}~),
  ${misc:Depends},
 Description: KDE kimpanel protocol extension for GNOME shell
  Kimpanel extension acts as a KDE Kimpanel protocol implementation under

## gnome-shell-extension-kimpanel 0.0~git20250422.4ea1883

=== debian/changelog ===
gnome-shell-extension-kimpanel (0.0~git20250422.4ea1883-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Sun, 10 Aug 2025 19:21:20 -0400

## gnome-shell-extension-kimpanel 0.0~git20250920.55a7b1c

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.10)
 
 project(kimpanel-for-gnome-shell NONE)

=== po/CMakeLists.txt ===
set(POT_FILE
    gnome-shell-extensions-kimpanel.pot
)

file(GLOB PO_FILES
    *.po
)

# Update .po files and compile them to binary .gmo files
gettext_create_translations(${POT_FILE} ALL ${PO_FILES})

=== debian/changelog ===
gnome-shell-extension-kimpanel (0.0~git20250920.55a7b1c-1) unstable; urgency=medium

  * New upstream snapshot.
  * Declare compatibility with GNOME 49. (Closes: #1115521)
  * debian/copyright: Fix lintian warnings.
  * debian/watch: Update to version 5.

 -- Boyuan Yang <byang@debian.org>  Sat, 20 Sep 2025 08:11:09 -0400

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,8 @@
 
 %:
 	dh $@
+
+override_dh_gencontrol:
+	dh_gencontrol -- \
+		-Vgnome:MinimumVersion=$(shell python3 -c "import json; print(min(int(x) for x in json.load(open('metadata.json.in', 'rt'))['shell-version']))") \
+		-Vgnome:MaximumVersion=$(shell python3 -c "import json; print(1+max(int(x) for x in json.load(open('metadata.json.in', 'rt'))['shell-version']))")

=== debian/watch ===
Version: 5
Source: https://github.com/wengxt/kimpanel-for-gnome-shell
Matching-Pattern: HEAD
Mode: git

## gnome-shell-extension-kimpanel 0.0~git20260223.496c529

=== debian/changelog ===
gnome-shell-extension-kimpanel (0.0~git20260223.496c529-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 Feb 2026 18:24:44 -0500

=== debian/control ===
Source: gnome-shell-extension-kimpanel
Section: gnome
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 gettext,
 python3,
 unzip,
 zip,
Standards-Version: 4.7.3
Homepage: https://github.com/wengxt/gnome-shell-extension-kimpanel
Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-kimpanel.git
Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-kimpanel
Description: KDE kimpanel protocol extension for GNOME shell
 Kimpanel extension acts as a KDE Kimpanel protocol implementation under
 GNOME to provide a unified frontend look for fcitx input method on GNOME
 shell.
 .
 It provides a native pop-up window for input method word listing and a
 user-friendly tray-like icon for user to interact with fcitx.

Package: gnome-shell-extension-kimpanel
Architecture: all
Depends:
 fcitx5 | fcitx,
 fcitx5-module-kimpanel | fcitx-module-kimpanel,
 gnome-shell (>= ${gnome:MinimumVersion}~),
 gnome-shell (<< ${gnome:MaximumVersion}~),
 ${misc:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
